summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Agner <stefan.agner@toradex.com>2016-05-24 14:35:16 -0700
committerMax Krummenacher <max.krummenacher@toradex.com>2016-06-30 13:19:25 +0200
commit76980cf65b0b6fe38ef71265c980c6cf48982fa6 (patch)
treecd53e8deffbcf969545c0c6b685d2663950e49f4
parentf61f878e4c05111edce22097acd9bc5772f750cf (diff)
update.sh: switch to mkfs.fat
The binary/symlink mkfs.vfat seems to be considered outdated, it is only deployed if one configures dosfstools with the flag --enable-compat-symlinks. Switch to mkfs.fat which seems to be the official binary to create FAT filesystems now. Signed-off-by: Stefan Agner <stefan.agner@toradex.com> Acked-by: Marcel Ziswiler <marcel.ziswiler@toradex.com>
-rwxr-xr-xrecipes/images/files/colibri-vf/format_sd.sh2
-rwxr-xr-xrecipes/images/files/library/imx6/update.sh2
-rwxr-xr-xrecipes/images/files/library/tegra/update.sh2
3 files changed, 3 insertions, 3 deletions
diff --git a/recipes/images/files/colibri-vf/format_sd.sh b/recipes/images/files/colibri-vf/format_sd.sh
index 717ccd0..79cc985 100755
--- a/recipes/images/files/colibri-vf/format_sd.sh
+++ b/recipes/images/files/colibri-vf/format_sd.sh
@@ -91,7 +91,7 @@ sudo umount ${DEV}${PART_PREFIX}?
# partition and format the vfat partition
sudo parted -s $DEV mklabel msdos mkpart primary fat32 1MB 512MB mkpart primary ext3 512MB 100%
sudo umount ${DEV}${PART_PREFIX}1
-sudo mkfs.vfat -n UPDATE ${DEV}${PART_PREFIX}1
+sudo mkfs.fat -n UPDATE ${DEV}${PART_PREFIX}1
# dd U-Boot onto the SD card
sudo dd if=colibri-vf_bin/u-boot.imx of=${DEV} bs=512 seek=2
diff --git a/recipes/images/files/library/imx6/update.sh b/recipes/images/files/library/imx6/update.sh
index 9f2b0ab..b4bca47 100755
--- a/recipes/images/files/library/imx6/update.sh
+++ b/recipes/images/files/library/imx6/update.sh
@@ -155,7 +155,7 @@ fi
#Sanity check for some programs. Some distros have fs tools only in root's path
MCOPY=`command -v mcopy` || { echo >&2 "Program mcopy not available. Aborting."; exit 1; }
PARTED=`command -v parted` || PARTED=`sudo -s command -v parted` || { echo >&2 "Program parted not available. Aborting."; exit 1; }
-MKFSVFAT=`command -v mkfs.vfat` || MKFSVFAT=`sudo -s command -v mkfs.vfat` || { echo >&2 "Program mkfs.vfat not available. Aborting."; exit 1; }
+MKFSVFAT=`command -v mkfs.fat` || MKFSVFAT=`sudo -s command -v mkfs.fat` || { echo >&2 "Program mkfs.fat not available. Aborting."; exit 1; }
MKFSEXT3=`command -v mkfs.ext3` || MKFSEXT3=`sudo -s command -v mkfs.ext3` || { echo >&2 "Program mkfs.ext3 not available. Aborting."; exit 1; }
dd --help >/dev/null 2>&1 || { echo >&2 "Program dd not available. Aborting."; exit 1; }
diff --git a/recipes/images/files/library/tegra/update.sh b/recipes/images/files/library/tegra/update.sh
index f753c25..e221889 100755
--- a/recipes/images/files/library/tegra/update.sh
+++ b/recipes/images/files/library/tegra/update.sh
@@ -234,7 +234,7 @@ fi
#Sanity check for some programs. Some distros have fs tools only in root's path
MCOPY=`command -v mcopy` || { echo >&2 "Program mcopy not available. Aborting."; exit 1; }
PARTED=`command -v parted` || PARTED=`sudo -s command -v parted` || { echo >&2 "Program parted not available. Aborting."; exit 1; }
-MKFSVFAT=`command -v mkfs.vfat` || MKFSVFAT=`sudo -s command -v mkfs.vfat` || { echo >&2 "Program mkfs.vfat not available. Aborting."; exit 1; }
+MKFSVFAT=`command -v mkfs.fat` || MKFSVFAT=`sudo -s command -v mkfs.fat` || { echo >&2 "Program mkfs.fat not available. Aborting."; exit 1; }
MKFSEXT3=`command -v mkfs.ext3` || MKFSEXT3=`sudo -s command -v mkfs.ext3` || { echo >&2 "Program mkfs.ext3 not available. Aborting."; exit 1; }
dd --help >/dev/null 2>&1 || { echo >&2 "Program dd not available. Aborting."; exit 1; }